| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
Rotation Estimation
Images stitching

## Detailed Description

## Classes
class | cv::detail::AffineBasedEstimator
| Affine transformation based estimator. More...
class | cv::detail::BundleAdjusterAffine
| Bundle adjuster that expects affine transformation represented in homogeneous coordinates in R for each camera param. Implements camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...
class | cv::detail::BundleAdjusterAffinePartial
| Bundle adjuster that expects affine transformation with 4 DOF represented in homogeneous coordinates in R for each camera param. Implements camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...
class | cv::detail::BundleAdjusterBase
| Base class for all camera parameters refinement methods. More...
class | cv::detail::BundleAdjusterRay
| Implementation of the camera parameters refinement algorithm which minimizes sum of the distances between the rays passing through the camera center and a feature. : More...
class | cv::detail::BundleAdjusterReproj
| Implementation of the camera parameters refinement algorithm which minimizes sum of the reprojection error squares. More...
class | cv::detail::Estimator
| Rotation estimator base class. More...
class | cv::detail::HomographyBasedEstimator
| Homography based rotation estimator. More...
class | cv::detail::NoBundleAdjuster
| Stub bundle adjuster that does nothing. More...

## Enumerations
enum | cv::detail::WaveCorrectKind { cv::detail::WAVE_CORRECT_HORIZ , cv::detail::WAVE_CORRECT_VERT , cv::detail::WAVE_CORRECT_AUTO }

## Functions
WaveCorrectKind | cv::detail::autoDetectWaveCorrectKind (const std::vector< Mat > &rmats)
| Tries to detect the wave correction kind depending on whether a panorama spans horizontally or vertically.
void | cv::detail::findMaxSpanningTree (int num_images, const std::vector< MatchesInfo > &pairwise_matches, Graph &span_tree, std::vector< int > &centers)
std::vector< int > | cv::detail::leaveBiggestComponent (std::vector< ImageFeatures > &features, std::vector< MatchesInfo > &pairwise_matches, float conf_threshold)
String | cv::detail::matchesGraphAsString (std::vector< String > &paths, std::vector< MatchesInfo > &pairwise_matches, float conf_threshold)
void | cv::detail::waveCorrect (std::vector< Mat > &rmats, WaveCorrectKind kind)
| Tries to make panorama more horizontal (or vertical).

## Enumeration Type Documentation

## ◆ WaveCorrectKind

enum cv::detail::WaveCorrectKind

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Enumerator
WAVE_CORRECT_HORIZ Python: cv.detail.WAVE_CORRECT_HORIZ |
WAVE_CORRECT_VERT Python: cv.detail.WAVE_CORRECT_VERT |
WAVE_CORRECT_AUTO Python: cv.detail.WAVE_CORRECT_AUTO |

## Function Documentation

## ◆ autoDetectWaveCorrectKind()

WaveCorrectKind cv::detail::autoDetectWaveCorrectKind | ( | const std::vector< Mat > & | rmats | ) |

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Tries to detect the wave correction kind depending on whether a panorama spans horizontally or vertically.

Parameters

  rmats | Camera rotation matrices.

Returns
  The correction kind to use for this panorama

## ◆ findMaxSpanningTree()

void cv::detail::findMaxSpanningTree | ( | int | num_images,
|  | const std::vector< MatchesInfo > & | pairwise_matches,
|  | Graph & | span_tree,
|  | std::vector< int > & | centers )

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

## ◆ leaveBiggestComponent()

std::vector< int > cv::detail::leaveBiggestComponent | ( | std::vector< ImageFeatures > & | features,
|  | std::vector< MatchesInfo > & | pairwise_matches,
|  | float | conf_threshold )

Python:
| cv.detail.leaveBiggestComponent( | features, pairwise_matches, conf_threshold | ) -> | retval

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

## ◆ matchesGraphAsString()

String cv::detail::matchesGraphAsString | ( | std::vector< String > & | paths,
|  | std::vector< MatchesInfo > & | pairwise_matches,
|  | float | conf_threshold )

Python:
| cv.detail.matchesGraphAsString( | paths, pairwise_matches, conf_threshold | ) -> | retval

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

## ◆ waveCorrect()

void cv::detail::waveCorrect | ( | std::vector< Mat > & | rmats,
|  | WaveCorrectKind | kind )

Python:
| cv.detail.waveCorrect( | rmats, kind | ) -> | rmats

`#include <opencv2/stitching/detail/motion_estimators.hpp>`

Tries to make panorama more horizontal (or vertical).

Parameters

  rmats | Camera rotation matrices.
  kind | Correction kind, see detail::WaveCorrectKind.